# Interface IvyArtifact

All Superinterfaces:
  `Buildable, PublicationArtifact`

public interface IvyArtifact extends PublicationArtifact
An artifact published as part of a `IvyPublication`.

Since:
  1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getClassifier()`
  The classifier used to publish the artifact file.
  `@Nullable String`
  `getConf()`
  A comma separated list of public configurations in which this artifact is published.
  `String`
  `getExtension()`
  The extension used to publish the artifact file, never `null`.
  `String`
  `getName()`
  The name used to publish the artifact file, never `null`.
  `String`
  `getType()`
  The type used to publish the artifact file, never `null`.
  `void`
  `setClassifier(@Nullable String classifier)`
  Sets the classifier used to publish the artifact file.
  `void`
  `setConf(@Nullable String conf)`
  Sets a comma separated list of public configurations in which this artifact is published.
  `void`
  `setExtension(String extension)`
  Sets the extension used to publish the artifact file.
  `void`
  `setName(String name)`
  Sets the name used to publish the artifact file.
  `void`
  `setType(String type)`
  Sets the type used to publish the artifact file.

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface PublicationArtifact

  `builtBy, getFile`

- ## Method Details

  - ### getName

    String getName()
    The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.
    Since:
      1.5

  - ### setName

    void setName(String name)
    Sets the name used to publish the artifact file.
    Parameters:
      `name` - The name.
    Since:
      1.5

  - ### getType

    String getType()
    The type used to publish the artifact file, never `null`.
    Since:
      1.5

  - ### setType

    void setType(String type)
    Sets the type used to publish the artifact file.
    Parameters:
      `type` - The type.
    Since:
      1.5

  - ### getExtension

    String getExtension()
    The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.
    Since:
      1.5

  - ### setExtension

    void setExtension(String extension)
    Sets the extension used to publish the artifact file.
    Parameters:
      `extension` - The extension.
    Since:
      1.5

  - ### getClassifier

    @Nullable String getClassifier()
    The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.
    Since:
      1.5

  - ### setClassifier

    void setClassifier(@Nullable String classifier)
    Sets the classifier used to publish the artifact file.
    Parameters:
      `classifier` - The classifier.
    Since:
      1.5

  - ### getConf

    @Nullable String getConf()
    A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.
    Returns:
      The value of 'conf' for this artifact.
    Since:
      1.5

  - ### setConf

    void setConf(@Nullable String conf)
    Sets a comma separated list of public configurations in which this artifact is published. The '*' wildcard can be used to designate that the artifact is published in all public configurations.
    Parameters:
      `conf` - The value of 'conf' for this artifact.
    Since:
      1.5